<?
if (!isset($user) && !isset($_GET['id_user'])){header("Location: /foto/?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id_user']))$ank['id']=intval($_GET['id_user']);
$ank=get_user($ank['id']);
if (!$ank){header("Location: /foto/?".SID);exit;}
$gallery['id']=intval($_GET['id_gallery']);

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /foto/$ank[id]/?".SID);exit;}
$gallery=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"));



$set['title']=$ank['nick'].' - Альбом'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();
include 'inc/gallery_show_act.php';

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='pa'>\n";
echo "Нет фотографий\n";
echo "  </td>\n";
echo "   </tr>\n";

}

$q=mysql_query("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
if($num==1){
echo '<tr><td class="pa">';
$num=0;
}else{
echo '<tr><td class="pa">';
$num=1;}
echo "<img src='/foto/foto48/$post[id].$post[ras]' alt='Фото_$post[id]' align='left' style='margin-right:3px' width='48' height='48' alt=''  />";
echo "<img src='/style/ico/photo.gif' alt='' class='icon'/> <a href='/foto/$ank[id]/$gallery[id]/$post[id]/'>$post[name]</a><br/>\n";

echo "<img src='/icons/label.png' alt='' /> $post[rating]<br />\n";
echo "<img src='/style/b_icons/comment.png' alt='' class='icon'/> <a href='/foto/$ank[id]/$gallery[id]/komm/$post[id]/'>Комметарии (".mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_komm` WHERE `id_foto` = '$post[id]'"),0).")</a><br />\n";

echo "  </td>\n";
echo "   </tr>\n";

}
echo "</table>\n";




if ($k_page>1)str('?',$k_page,$page); // Вывод страниц


include 'inc/gallery_show_form.php';
echo "<div class='dop_menu'>\n";
echo "<img src='/icons/169.png' alt='' /> <a href='/foto/'>Вернуться в альбомы</a>\n";
echo "</div>\n";	
include_once '../sys/inc/tfoot.php';
exit;
?>